/* ImportPanelController */

#import <Cocoa/Cocoa.h>
#import "SupplementController.h"
#import "MeshController.h"
#import "Library.h"

@interface ImportPanelController : NSObject
{
    IBOutlet NSTableView *_author;
    IBOutlet NSTextField *_ID;
    IBOutlet NSPopUpButton *_IDtype;
    IBOutlet NSComboBox *_Journal;
    IBOutlet NSComboBox *_newAuthor;
    IBOutlet NSTextField *_number;
    IBOutlet NSTextField *_pages;
    IBOutlet NSTextField *_title;
    IBOutlet NSTextField *_volume;
    IBOutlet NSTextField *_doi;
    IBOutlet NSTextField *_year;
    IBOutlet NSTextField *_filepath;
    IBOutlet NSPanel *_ImportNewPanel;
	
    IBOutlet NSTextView *_abstract;
    IBOutlet NSTextView *_memo;
    IBOutlet NSBox *_mainBox;

	IBOutlet NSButton *reload;

	IBOutlet SupplementController* _supplementController;
	IBOutlet MeshController* _meshController;

	NSMutableArray* authors;
	NSMutableArray* authorsInDB;
	NSMutableArray* journalsInDB;

    NSModalSession session;

	NSNumber* articleID;
	Article* _article;
	
	BOOL isModify;
}
- (IBAction)addAuthor:(id)sender;
- (IBAction)cancel:(id)sender;
- (IBAction)ok:(id)sender;
- (IBAction)removeAuthor:(id)sender;
- (IBAction)selectAuthor:(id)sender;
- (IBAction)selectFile:(id)sender;

- (IBAction)reload:(id)sender;

- (void)openImportPanel:(id)sender;
- (void)openImportPanel:(id)sender with:(Article*)info;
@end
