//
//  Source.h
//  iPapers2
//
//  Created by Toshihiro Aoyama on 04/09/30.
//  Copyright 2004-2005 Toshihiro Aoyama. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "accessDB.h"

@interface Source : NSObject{
@private
//	id __arp;

@protected
	NSMutableString* _sourceName;
	NSMutableString* _sourceType;

	NSMutableArray* _sortDescriptor;
}
- (id)setStatusMessageField:(NSTextField*)s;
- (id)setStatusIndicator:(NSProgressIndicator*)i;
- (id)setSortDescriptor:(NSArray*)s;

- (id)setSourceType:(NSString*)type;
- (id)setSourceName:(NSString*)name;

- (NSMutableArray*)sortDescriptor;
- (NSString*)sourceType;
- (NSString*)sourceName;

-(NSNumber*)articleID:(Article*)anArticle;

//
- (void)articlesList;
- (unsigned)numberOfarticles;

- (void)removeArticles:(NSArray*)articles;

- (NSArray*)journals;
- (NSArray*)authors;

- (void)importFiles:(NSArray*)filenames;
@end
