//
//  OpenSearch.h
//  iPapers2
//
//  Created by Toshihiro Aoyama on 09/03/14.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface OpenSearch : NSObject {
	NSURLConnection* theConnection;
	NSMutableData* httpData;
	NSStringEncoding encoding;
	NSMutableString* _query;
	
	NSMutableArray* _articles;
	
	NSMutableString* _value;
	NSDate* _from;
	NSDate* _to;
	BOOL _limitDate;
	
	NSString* _baseURL;
	
	BOOL _isSearching;

    id _delegate;
	SEL _selector;
}
- (BOOL)search:(NSString*)searchquery delegate:(id)delegate selector:(SEL)selector;
- (void)setSearchDateRange:(NSDate*)from to:(NSDate*)to;
- (void)setLimitDate:(BOOL)limit;
- (void)setQueryWithJournal:(NSString*)journal volume:(NSString*)volume firstPage:(NSString*)firstpage;
- (void)setQueryWithFreeKeywords:(NSString*)keywords;
@end
